astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- drizzle v1.11 »
- The Drizzle Library »
- API Documentation

# API Documentation

## drizzle.drizzle Module

The `drizzle` module defines the `Drizzle` class, for combining input images into a single output image using the drizzle algorithm.

### Classes

`Drizzle`([infile, outwcs, wt_scl, pixfrac, ...]) | Combine images using the drizzle algorithm

### Class Inheritance Diagram

digraph inheritance2e42495f5b { rankdir=LR; size="8.0, 12.0"; "Drizzle" [URL="../../api/drizzle.drizzle.Drizzle.html#drizzle.drizzle.Drizzle",fontname="Vera Sans, DejaVu Sans, Liberation Sans, Arial, Helvetica, sans",fontsize=10,height=0.25,shape=box,style="setlinewidth(0.5)",target="_top",tooltip="Combine images using the drizzle algorithm"]; }

## drizzle.dodrizzle Module

### Functions

`dodrizzle`(insci, input_wcs, inwht, ...[, ...]) | Low level routine for performing ‘drizzle’ operation.on one image.

## drizzle.doblot Module

### Functions

`doblot`(source, source_wcs, blot_wcs, exptime) | Low level routine for performing the ‘blot’ operation.